# Detector-LoI

Overall detector LoI for the CEPC detector work

#--------------------------------------------------------------------------------------------------------------
Package Contents
#--------------------------------------------------------------------------------------------------------------
- This package is made up of four main .tex documents
	- DetectorLoI.tex : The main file that should be compiled
	- Introduction.tex : Text for the introduction of the LoI. This should be about 1/3 of the text
	- Questions.tex : Text with questions that we want to address in this research
	- Contacts.tex : List of contacts related to this project
- The references should go into References.bib
- From the terminal just do "make"

Other documents need but do not require editing:
- CEPCDoc.cls
- atlasnote.bst
- README
#--------------------------------------------------------------------------------------------------------------
Clone contents to make YOUR LoI
#--------------------------------------------------------------------------------------------------------------
- Rename the main file DetectorLoI.tex to YourDetectorLoI.tex
- Edit GNUmakefile and substitute "DetectorLoI" with "YourDetectorLoI"
- Edit DetectorLoI.tex with your new title:
	In your "DetectorLoI" edit <YOUR TITLE> of the LoI in these two places:
	line 7:  \doctitle{<YOUR TITLE> Letter of Intent -- Snowmass 2021}
	Title of section "introduction": \section*{<YOUR TITLE> Letter of Intent}
- Edit the other three files as needed:
	- Introduction.tex
	- Questions.tex
	- Contacts.tex
- Edit references in:
	- References.bib

- To compile the latex just do "make"

#--------------------------------------------------------------------------------------------------------------
GIT HELP
#--------------------------------------------------------------------------------------------------------------
Git global setup

git config --global user.name "Joe Smith"
git config --global user.email "joe.smith@cern.ch"

Create a new repository

git clone git@cepcgit.ihep.ac.cn:snowmass/loi/xxxxxx-loi.git
cd XxxxxxLoI
touch README.md
git add README.md
git commit -m "add README"
git push -u origin master

Existing folder

cd existing_folder
git init
git remote add origin git@cepcgit.ihep.ac.cn:snowmass/loi/xxxxxx-loi.git
git add .
git commit -m "Initial commit"
git push -u origin master

Existing Git repository

cd existing_repo
git remote add origin git@cepcgit.ihep.ac.cn:snowmass/loi/xxxxxx-loi.git
git push -u origin --all
git push -u origin --tags
